﻿using Microsoft.Xna.Framework.Content.Pipeline;
using Newtonsoft.Json;
using System.IO;

namespace RecrownedAthenaeum.Pipeline.NinePatch
{
    [ContentImporter(".9p", DisplayName = "Nine Patch Importer", DefaultProcessor = "NinePatchProcessor")]
    internal class NinePatchImporter : ContentImporter<string>
    {
        public override string Import(string filename, ContentImporterContext context)
        {
            return File.ReadAllText(filename);
        }
    }
}
