﻿using Microsoft.Xna.Framework.Content.Pipeline;
using Microsoft.Xna.Framework.Content.Pipeline.Serialization.Compiler;
using Newtonsoft.Json;
using System;
using TWrite = RecrownedAthenaeum.Pipeline.TextureAtlas.TextureAtlasData;

namespace RecrownedAthenaeum.Pipeline.TextureAtlas
{
    [ContentTypeWriter]
    class TextureAtlasWriter : ContentTypeWriter<TWrite>
    {
        public override string GetRuntimeReader(TargetPlatform targetPlatform)
        {
            return "RecrownedAthenaeum.Pipeline, TextureAtlasDataReader";
        }

        protected override void Write(ContentWriter output, TWrite value)
        {
            output.Write(JsonConvert.SerializeObject(value));
        }
    }
}
