﻿namespace RecrownedAthenaeum.ContentSystem.ContentResolvers
{
    class FontContentResolver : IContentPathModifier
    {
        readonly ResolutionContentResolver rcr;

        public FontContentResolver(ResolutionContentResolver rcr)
        {
            this.rcr = rcr;
        }

        public string Modify(string assetName)
        {
            return rcr.Modify("fonts/" + assetName);
        }
    }
}
