﻿namespace RecrownedAthenaeum.ContentSystem
{
    /// <summary>
    /// Modifies the given path based on a name. Used to simplify long paths for the <see cref="ContentManagerController"/>
    /// </summary>
    public interface IContentPathModifier
    {
        /// <summary>
        /// Returns the complete path with the content folder as root.
        /// </summary>
        /// <param name="assetName">Is the asset's name</param>
        /// <returns></returns>
        string Modify(string assetName);
    }
}
