﻿using Microsoft.Xna.Framework.Content;
using Newtonsoft.Json;
using System.Text;

namespace RecrownedAthenaeum.Pipeline
{
    class NinePatchDataReader : ContentTypeReader<SpecialTypes.NinePatch>
    {
        protected override SpecialTypes.NinePatch Read(ContentReader input, SpecialTypes.NinePatch existingInstance)
        {
            int length = input.ReadInt32();
            byte[] bytes = input.ReadBytes(length);

            return JsonConvert.DeserializeObject<SpecialTypes.NinePatch>(Encoding.UTF8.GetString(bytes));
        }
    }
}
